# slighty
[![Gem Version](https://badge.fury.io/rb/slighty.svg)](https://badge.fury.io/rb/slighty)

a simple lightbox plugin that runs with Rails Asset Pipeline.

## installation

1. add to your `Gemfile` and install with bundler:

  ```ruby
  gem 'slighty'
  ```
  
  ```bash
  bundle install
  ```

3. require the slight javascript file in `app/assets/javascripts/application.js`:

  ```js
  //= require slighty
  ```

4. require the modified slighty css file in `app/assets/stylesheets/application.css`:
  
  ```css
  *= require slighty
  ```

## how it works?
slighty automatically binds your `a` tags that includes `data-slighty` attribute. for example;

```html
<a href="image_url_to_show_in_slighty" data-slighty>
    <img src="..." />
</a>
```

copyright [Okan Vurdu](https://github.com/okan), released under the MIT License.
